File: changelog

package info (click to toggle)
libexception-class-perl 1.42-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 344 kB
  • ctags: 24
  • sloc: perl: 493; makefile: 2
file content (263 lines) | stat: -rw-r--r-- 8,561 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
libexception-class-perl (1.42-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Wed, 04 Jan 2017 22:53:51 +0000

libexception-class-perl (1.41-1) unstable; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Fabrizio Regalli from Uploaders. Thanks for your work!
  * Remove Jay Bonci from Uploaders. Thanks for your work!
  * Remove Jose Luis Rivas from Uploaders. Thanks for your work!

  * Import upstream version 1.41.
  * Update debian/upstream/metadata.
  * Install new CONTRIBUTING document.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.8.
  * Update build dependencies. Drop requirement already satisfied by perl
    core in oldstable.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2016 22:58:18 +0100

libexception-class-perl (1.40-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Import upstream version 1.40
  * Update upstream metadata
  * Update years of upstream copyright
  * Update Debian packaging copyright
  * Add build dependency on libtest-simple-perl

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Mon, 01 Feb 2016 00:00:19 -0200

libexception-class-perl (1.39-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Lucas Kanashiro ]
  * Add debian/upstream/metadata
  * Import upstream version 1.39
  * Set dependency libdevel-stacktrace-perl (>= 2.00)
  * Declare compliance with Debian policy 3.9.6
  * Add autopkgtest-pkg-perl
  * Set debhelper >= 9

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Mon, 03 Aug 2015 11:04:04 -0300

libexception-class-perl (1.38-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Update years of copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 05 May 2014 23:05:19 +0200

libexception-class-perl (1.37-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Update copyright years and upstream license.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Sep 2013 18:56:36 +0200

libexception-class-perl (1.32-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Convert Vcs-* fields to Git.

  [ Fabrizio Regalli ]
  * Bump to 3.9.2 Standard-Version.
  * Add myself to Uploaders and Copyright.
  * Switch d/compat to 8.
  * Build-Depends: switch to debhelper (>= 8).
  * Fixed lintian copyright-refers-to-symlink-license message.

  [ gregor herrmann ]
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 May 2012 15:38:26 +0200

libexception-class-perl (1.31-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
  * Drop patch typo.patch: applied upstream.
  * debian/copyright: Update years of copyright.

  [ gregor herrmann ]
  * debian/copyright: update license information.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 28 Jun 2010 00:12:29 +0900

libexception-class-perl (1.30-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * New upstream release.
    + Add build-dep on perl (>= 5.10.1) | libtest-more-perl (>= 0.88).
    + Remove build-dep on libtest-pod-perl, libtest-pod-coverage-perl:
      Tests moved to xt/ upstream.
  * Use source format 3.0 (quilt).
  * Correct a typo in the documentation.
    + new patch: typo.patch
  * Make (build-)dep on perl unversioned.
  * Use minimal debian/rules.
  * Bump Standards-Version to 3.8.4.

  [ gregor herrmann ]
  * debian/copyright: update formatting.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 22 Mar 2010 13:06:51 +0900

libexception-class-perl (1.29-1) unstable; urgency=low

  * New upstream release.
    + depends on perl (>= 5.8.1)
  * Bump Standards Version to 3.8.1 (no changes)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 09 May 2009 02:00:23 +0200

libexception-class-perl (1.26-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ansgar Burchardt ]
  * Depend on libdevel-stacktrace-perl (>= 1.2000) instead of (>= 1.20).
    Closes: #515594.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 16 Feb 2009 19:15:23 +0100

libexception-class-perl (1.26-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream release
  * debian/control: 
   + Bumped to Standards-Version 3.8.0 (no changes needed).
   + Bumped dependencies to minimium required versions.

  [ gregor herrmann ]
  * debian/control:
    - change my email address
    - wrap a long line
    - remove libmodule-build-perl, debhelper7 prefers MakeMaker
    - remove leading article and spurious space from short description
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 01 Nov 2008 17:03:50 -0430

libexception-class-perl (1.24-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - added: Vcs-Svn field (source stanza); Vcs-Browser field (source
      stanza); Homepage field (source stanza).
    - set Maintainer to Debian Perl Group.
    - add /me to Uploaders
    - split Build-Depends and Build-Depends-Indep
    - bump (build) dependency on libdevel-stacktrace-perl to >= 1.17
    - add libtest-pod-perl, libtest-pod-coverage-perl to Build-Depends-Indep
    - wrap long lines
  * Use dist-based URL in debian/watch.
  * debian/rules:
    - delete /usr/lib/perl5 only if it exists
    - refresh with dh-make-perl's help
    - enable additional tests
  * debian/copyright: update years of copyright.
  * Set Standards-Version to 3.7.3 (no changes).
  * Set debhelper compatibility level to 5.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 01 Apr 2008 16:35:37 +0200

libexception-class-perl (1.23-1) unstable; urgency=low

  * New upstream release (Closes: #392322)
  * Policy version bump. No other changes
  * Changed Build-Depends-Indep to Build-Depends

 -- Jay Bonci <jaybonci@debian.org>  Mon,  4 Dec 2006 01:27:53 -0500

libexception-class-perl (1.21-1) unstable; urgency=low

  * New upstream release
  * Policy version bump. No other changes

 -- Jay Bonci <jaybonci@debian.org>  Wed,  8 Jun 2005 13:53:11 -0400

libexception-class-perl (1.20-1) unstable; urgency=low

  * New upstream release
  * New Maintainer (Closes: #291647)
  * Bumped policy-version to 3.6.1.0 (No other changes)
  * Changed Build-Depends to Build-Depends-Indep
  * Changed to my Module::Build rules template
  * Added download URL to copyright file

 -- Jay Bonci <jaybonci@debian.org>  Tue,  8 Feb 2005 16:53:15 -0500

libexception-class-perl (1.19-2) unstable; urgency=low

  * Update libdevel-stacktrace-perl dependancy (closes: Bug#268355).
  * Add watch file for uscan

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 27 Aug 2004 03:16:49 -0700

libexception-class-perl (1.19-1) unstable; urgency=low

  * New upstream release.

 -- Ivan Kohler <ivan-debian@420.am>  Sat,  7 Aug 2004 20:36:45 -0700

libexception-class-perl (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Ivan Kohler <ivan-debian@420.am>  Wed,  1 Oct 2003 05:04:47 -0700

libexception-class-perl (1.12-1) unstable; urgency=low

  * New upstream version (closes: Bug#192842).
  * Fix README.Debian vs. copyright pedantry
  * Fix binary-arch vs. binary-indep build targets
  * Update to debhelper compat level 4
  * Change section from interpreters to perl

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 11 May 2003 13:15:16 -0700

libexception-class-perl (1.01-1) unstable; urgency=low

  * Initial Release (closes: #152846).

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 13 Jul 2002 06:36:08 -0700